import java.util.Scanner;
import java.util.Random;
public class Conjugator
{
public static void main(String[] args)
{
  /*
  System.out.println(LatinAssembler(Latin.VerbRoots[3], Latin.VerbEndings[0], Latin.Imperfect[4]));
  System.out.println(LatinAssembler(Latin.VerbRoots[4], Latin.VerbEndings[1], Latin.Imperfect[3]));
  System.out.println(EnglishAssembler(Latin.VerbRootTranslation[0], Latin.VerbRootsType[0], Latin.ImperfectEnglish[0]));
  System.out.println(EnglishAssembler(Latin.VerbRootTranslation[4], Latin.VerbRootsType[3], Latin.ImperfectEnglish[1]));
  */
}

public static String LatinAssembler(String VerbRoot, String VerbEnding, String Imperfect)  //Assemble latin verbs
{
if(!Imperfect.equals("off") && VerbEnding.equals("o"))
  VerbEnding = "m";
if(Imperfect.equals("on"))
  Imperfect = "ba";
if(Imperfect.equals("off"))
  Imperfect = "";

if(VerbEnding.equals("o") && VerbRoot.substring(VerbRoot.length()-1,VerbRoot.length()).equals("a"))
  VerbRoot = VerbRoot.substring(0, VerbRoot.length()-1); //test case(Bark First Person Singular) = latrao
                                                          //test case(Love First Person Singular) = amao

if(VerbRoot.substring(VerbRoot.length()-1, VerbRoot.length()).equals("i") && Imperfect.equals("ba"))
  VerbRoot = VerbRoot+"e";
if(VerbEnding.equals("nt") && VerbRoot.substring(VerbRoot.length()-1, VerbRoot.length()).equals("i"))
  VerbRoot = VerbRoot + "u";
  
String Latin = (VerbRoot+Imperfect+VerbEnding);
return Latin;
}

public static String EnglishAssembler(String VerbRootTranslation, String VerbRootType, String ImperfectEnglish) //Assemble english phrases
{
if(ImperfectEnglish.equals("on"))
{
  
//if(VerbRootTranslation.charAt(VerbRootTranslation.length()-1)=='e')
//{
//VerbRootTranslation = VerbRootTranslation.substring(0, VerbRootTranslation.length()-1);
//}
  VerbRootTranslation = ("Was "+VerbRootTranslation+"ing");
}

String English = (VerbRootTranslation+" "+VerbRootType);
return English;
}
public static String LatinNounAssembler(String NounRoot, String NounEnding)   //Assemble latin nouns
{
  //Test Case(slave accusative singular) = servusum
  //Test Case(slave dative plural) = servusis
  //Test Case(water ablative plural) = aquais
  //Test Case(mother nominative plural) = materes
  //Test Case(country house ablative plural) = villais
  //Test Case(country house ablative singular) = villaa
  //Test Case(slave accusative singular) = serum
  //Test Case(mother dative plural) = materibus
  //Test Case(slave dative singular) = sro
  //Test Case(courier dative plural) = tabellariis
  //Test Case(boy ablative plural) = puris
if(NounRoot.substring(NounRoot.length()-2, NounRoot.length()).equals("us") && !NounEnding.equals(" "))
  NounRoot = NounRoot.substring(0,NounRoot.length()-2);

if(NounRoot.substring(NounRoot.length()-3, NounRoot.length()).equals("ius") && !NounEnding.equals(" "))
  NounRoot = NounRoot.substring(0,NounRoot.length()-3);

if(NounRoot.substring(NounRoot.length()-1, NounRoot.length()).equals("a") && NounEnding.equals("is"))
  NounRoot = NounRoot.substring(0,NounRoot.length()-1);

if(NounRoot.substring(NounRoot.length()-2, NounRoot.length()).equals("er") && !NounEnding.equals(" ") && !NounRoot.equals("puer"))
  NounRoot = NounRoot.substring(0,NounRoot.length()-2)+"r";





String Latin = NounRoot + NounEnding;
return Latin;

}

public static String EnglishNounAssembler(String NounRootTranslation)	//Assemble English nouns, acts as a pass through in case future functionality is added
{
String English = NounRootTranslation;
return English;
}
}
