import java.util.Scanner;
import java.util.Random;
public class GameTwo
{
public static void main(String[] args)
{
  Scanner keyboard = new Scanner(System.in);
  System.out.println("How many nouns would you like:");
  
  //Allow games with user defined number of trials 
  int WordCount = keyboard.nextInt();
  
  int x = 0;
  int Sum = 0;
  while(x<WordCount)
  {  
  Sum = Sum + testerTwo(4);
  x++;
  }
  //System.out.println((double)(Sum/WordCount)); //Print the percentage that were correct
  System.out.println("Correct:" + Sum);
  System.out.println("Total:" + WordCount);
}  

public static int testerTwo(int j)
{
Scanner keyboard = new Scanner(System.in);
Random rand = new Random();

int ReturnValue = 0;

//Get random values
int RandomDeclension_int = rand.nextInt(3);
int RandomNounRoot_int = rand.nextInt(3);
int RandomNounEnding_int = rand.nextInt(10);

//Initialize variables
String NounRoot = " ";
String NounEnding = " ";
String EnglishNounPre = " ";

//Random Noun Roots Implementation
if(RandomDeclension_int == 0)
  NounRoot = Latin.NounRootsDeclensionOne[RandomNounRoot_int];
if(RandomDeclension_int == 1)
  NounRoot = Latin.NounRootsDeclensionTwo[RandomNounRoot_int];
if(RandomDeclension_int == 2)
  NounRoot = Latin.NounRootsDeclensionThree[RandomNounRoot_int];

//Random Noun Ending Implementation
if(RandomDeclension_int == 0)
  NounEnding = Latin.NounRootsEndingOne[RandomNounEnding_int];
if(RandomDeclension_int == 1)
  NounEnding = Latin.NounRootsEndingTwo[RandomNounEnding_int];
if(RandomDeclension_int == 2)
  NounEnding = Latin.NounRootsEndingThree[RandomNounEnding_int];


//Random Noun Translation Implementation
if(RandomDeclension_int == 0)
  EnglishNounPre = Latin.NounRootsTranslationOne[RandomNounRoot_int];
if(RandomDeclension_int == 1)
  EnglishNounPre = Latin.NounRootsTranslationTwo[RandomNounRoot_int];
if(RandomDeclension_int == 2)
  EnglishNounPre = Latin.NounRootsTranslationThree[RandomNounRoot_int];

String NounRootAndEnding = Conjugator.LatinNounAssembler(NounRoot, NounEnding);
String EnglishNounPost = Conjugator.EnglishNounAssembler(EnglishNounPre);
String NounRootsType = Latin.NounRootsType[RandomNounEnding_int];

System.out.println("Please type the correct declination of this noun:");
System.out.println(EnglishNounPost + ", " + NounRootsType);
/*
//Debugging
System.out.println("Debugging:");

System.out.println("RandomDeclension_int:");
System.out.println(RandomDeclension_int);
  
System.out.println("RandomNounRoot_int:");
System.out.println(RandomNounRoot_int);

System.out.println("RandomNounEnding_int:");
System.out.println(RandomNounEnding_int);
//Debugging 
*/
String UserInput = keyboard.next();
if(UserInput.equals(NounRootAndEnding))  //User gave correct input
{
System.out.println("You Got It Right");
ReturnValue = 1;
}
  
else
{
System.out.println("Sorry, the correct answer was " + NounRootAndEnding); //User gave incorrect input
ReturnValue = 0;
}
return ReturnValue;
}

}